### Allocator

const char* fileName;
  - The name of the file where this allocator was created.

int lineNum;
  -The number of the line where this allocator was created.

int isFreeing;
  - Non-zero if allocator is currently freeing.  

TODO: Copy/Remove allocator documentation and premise to somehwere more appropereate.
